# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added
- Initial project structure
- DockerComposeManager class for programmatic Docker Compose file management
- Support for services, volumes, networks, configs, and secrets
- Basic example demonstrating usage
- Comprehensive test suite
- Development tools configuration (Ruff, MyPy, Pre-commit)
- Makefile for common development commands
- Contributing guidelines

### Changed
- Lowered Python version requirement from 3.13+ to 3.9+ for broader compatibility

### Fixed
- None yet

## [0.1.0] - 2024-01-XX

### Added
- Initial release
- Core DockerComposeManager functionality
- Support for basic Docker Compose features:
  - Services with full configuration options
  - Volumes
  - Networks
  - Configs
  - Secrets
- Context manager support for auto-saving
- Pydantic models for type safety
- YAML file generation and parsing

[Unreleased]: https://github.com/yourusername/compose/compare/v0.1.0...HEAD
[0.1.0]: https://github.com/yourusername/compose/releases/tag/v0.1.0 